Summary:	Interactive computations of a Lie group theoretic nature
Name:		lie
Version:	2.2.2
Release:	3
# No license file, and apparently only available from sagemath.org
# as the documented homepage neither ftp server directory exist anymre
License:	Freeware
Group:		Sciences/Mathematics
Url:	http://www.sagemath.org
Source0:	http://www.sagemath.org/packages/optional/%{name}-%{version}.p3.spkg
BuildRequires:	bison
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)

%description
LiE purpose is to enable mathematicians and physicists to obtain on-line
information as well as to interactively perform computations of a Lie group
theoretic nature. It focuses on the representation theory of complex semisimple
(reductive) Lie groups and algebras, and on the structure of their Weyl
groups and root systems. The basic objects of computation are vectors and
matrices with integer entries, and polynomials with integral coefficients.
These objects are used to represent weights, (sets of) roots, characters and
similar objects relating to Lie groups and algebras. LiE does not compute
directly with elements of the Lie groups and algebras themselves, but the
computations may be parametrised by the type of the Lie group or algebra for
which they should be performed.

%files
%doc src/manual/manual.dvi
%{_bindir}/lie
%dir %{_datadir}/lie
%{_datadir}/lie/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}.p3

%build
pushd src
make CFLAGS="%{optflags}"
popd

%install
pushd src
for dir in progs gapfiles; do
    mkdir -p %{buildroot}/%{_datadir}/lie/$dir
    cp -fa $dir/* %{buildroot}/%{_datadir}/lie/$dir
done

cp -fa INFO* LEARN* %{buildroot}/%{_datadir}/lie
cp -fa Lie.exe %{buildroot}/%{_datadir}/lie

mkdir -p %{buildroot}%{_bindir}

cat > %{buildroot}%{_bindir}/lie << EOF
#!/bin/sh

LD=%{_datadir}/lie
exec \$LD/Lie.exe initfile \$LD
EOF

chmod +x %{buildroot}%{_bindir}/lie
popd


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.2-3
- (f97a87d) MassBuild#1250: Increase release tag


